/**
 * Handles UI themes.
*/
function objThemes() {
	this.changeTheme = function( combo ) {
		var theme = combo.getValue();
		setActiveStyleSheet( theme );
	}

	this.dropDown = new Ext.form.ComboBox({
		typeAhead: true
		,triggerAction: 'all'
		,allowBlank: false
		,forceSelection: true
		,lazyRender: true
		,width: 90
		,mode: 'local'
		,store: new Ext.data.ArrayStore({
			id: 0
			,fields: [
				'type'
				,'displayText'
			],
			data: [ // TODO: Move to configuration file.
				["blue", 'Blue']
				,["gray", 'Gray']
				,["access", 'Accessibility']
				,["brown2", 'Brown 2']
				,["grey2", 'Industrial 2']
				,["grey3", 'Industrial 3']
				,["honey", 'Honey']
				,["snake", 'Snake']
				,["yellow2", 'Yellow 2']
			]
		})
		,valueField: 'type'
		,displayField: 'displayText'
		,listeners: {
			collapse: this.changeTheme.createDelegate( this )
		}
	});

	this.dropDown.setValue( themeTitle );

	return this;
}